/* REPERTOIRE 2.0 - MELODY & MK */
@import url('https://fonts.googleapis.com/css2?family=Rock+Salt&display=swap');

:root{
	font-size: 100%;
    -webkit-text-size-adjust: none;
    --gris_rgb: rgba(95,95,95,0.5);
	--hima: goldenrod;
	--aki: #CD1B27;
	--sen: peru;
	--tiff: burlywood;
}

div.melo_rep{	
	display: grid;
	background: var(--neutral_2);
	max-width: 600px;
	margin: auto;
	position: relative;
	font-size: 12px;
	line-height: 1.5em;
	border-radius: 8px;
	overflow: hidden;
}
div.melo_rep br{ display: none; }
div.melo_rep > div,
div.melo_rep img{ max-width: 600px; }

body.dark div.melo_rep{
	--violet_dark: #fff;
	--violet_dark_rgb: 255,255,255;
}
body.light div.melo_rep{
	--violet_dark: var(--noir);
	--violet_dark_rgb: var(--noir_rgb);
}


div.melo_rep.hima{
	--co1: goldenrod;
	--co1_light: var(--dai);
	--co2: rgba(172,199,152);
	--co2_rgb: 172,199,152;
	--co4: goldenrod;

	--couleur: rgba(172,199,152);
	--couleur_rgb: rgba(172,199,152,15%);
	--couleur_rgb2: 172,199,152;
	
	--couleur_1: rgba(172,199,152,5%);
	--couleur_7: rgba(172,199,152,50%);
	--couleur_3: rgba(172,199,152,20%);
}
div.melo_rep.senri{
	--co1: var(--rai);
	--co1_light: var(--rai);
	--co2: peru;
	--co2_rgb: 205,133,63;

	--couleur: rgba(205,133,63);
	--couleur_rgb: rgba(53, 41, 34, 0.15);
	--couleur_rgb2: 53, 41, 34;

	--couleur_1: rgba(205,133,63,5%);
	--couleur_7: rgba(205,133,63,50%);
	--couleur_3: rgba(205,133,63,20%);
}
div.melo_rep.akira{
	--co1: #CD1B27;
	--co1_light: var(--hii);
	--co2: rgba(208,127,127);
	--co2_rgb: 208,127,127;

	--couleur: rgba(208,127,127);
	--couleur_rgb: rgba(208,127,127,15%);
	--couleur_rgb2: 208,127,127;
	
	--couleur_1: rgba(208,127,127,5%);
	--couleur_7: rgba(208,127,127,50%);
	--couleur_3: rgba(208,127,127,20%);
}
div.melo_rep.tiff{
	--co1: burlywood;
	--co1_light: burlywood;
	--co2: #93c9c4;
	--co2_rgb: 147,201,196;
	--co4: burlywood;

	--couleur: #93c9c4;
	--co2_dark: var(--couleur);
	--couleur_rgb: rgba(147,201,196,15%);
	--couleur_rgb2: 147,201,196;
	
	--couleur_1: rgba(147,201,196,5%);
	--couleur_7: rgba(147,201,196,50%);
	--couleur_3: rgba(147,201,196,20%);
}

div.melo_rep .postbody .content a, 
div.melo_rep .postbody .content a:link, 
div.melo_rep .postbody .content a:visited{
	color: var(--co1)!important;
}

div.melo_rep::-webkit-scrollbar{ width: 1px; }
div.melo_rep div::-webkit-scrollbar-thumb{ background-color: var(--co2)!important; }

div.rep_liens_item div.lien_desc::-webkit-scrollbar-thumb{ background-color: var(--co2)!important; }

@keyframes pulsejdb{
	0% {
    	transform: scale(0.95);
    	box-shadow: 0 0 0 0 rgba(var(--couleur_rgb2), 0.7);
	}
	70% {
		transform: scale(1);
		box-shadow: 0 0 0 10px rgba(var(--couleur_rgb2), 0);
	}
	100% {
		transform: scale(0.95);
		box-shadow: 0 0 0 0 rgba(var(--couleur_rgb2), 0);
	}
}

.melo_rep credits{
	display: block;
	padding: 16px 24px 24px 24px;
	background-color: var(--neutral_1);
	text-align: center;
	content: "CODE PAR MELODY & MK";
	color: rgba(var(--violet_dark_rgb),0.5);
	font-size: 9px;
	line-height: 24px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
}

/* ------ TITLES AND TEXT STYLES ------ */
.melo_rep h1{
	font-family: var(--special-font);
	color: var(--violet_dark);
	font-size: 32px;
	line-height: 48px;
	font-weight: normal;
	margin: 0px!important;
	padding: 0px!important;
}

.melo_rep h2{
	display: block;
	padding: 8px 16px;
	color: var(--violet_dark);
	line-height: 24px;
	margin: 0px!important;
	border: 0px!important;
	background: linear-gradient(to right, transparent, var(--couleur_3));
	font-size: 9px;
	font-family: var(--main-font);
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 600;
}
.melo_rep h2:after {
    display: block;
    content: " ";
    width: 48px;
    height: 1px;
    background: var(--co2);
    margin: 4px 0px;
}

.melo_rep p{
	font-size: 12px;
	line-height: 18px;
	margin: 0px;
	color: var(--tx_content);
}
.melo_rep p br{ display: block; }

.melo_rep ul{
	padding-inline-start: 0px;
    margin-block: 0px;
    list-style-type: none;
}
.melo_rep ul li{ margin: 4px 0px; text-align: left; color: var(--tx_content); }
.melo_rep ul li:before{
    content: "・";
    font-weight: bold;
    color: var(--co2);
    margin-right: 4px;
}
.melo_rep ul li br{ display: block; }

.melo_rep a.link_icon{
	display: inline-block;
	color: var(--co1_light)!important;
	font-size: 9px;
	line-height: 24px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
	text-decoration: none;
	transition: var(--transi);
}
.melo_rep a.link_icon ion-icon { --ionicon-stroke-width: 56px; }
.melo_rep a.link_icon:hover{ color: var(--co2); }

.melo_rep .tag{
	display: inline-block;
	color: var(--blanc);
	font-size: 9px;
	line-height: 24px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
	padding: 0px 8px;
	background-color: var(--couleur);
	transition: var(--transi);
	width: max-content;
	text-decoration: none;
	border-radius: 4px;
	opacity: 1;
}
.melo_rep a.tag{ color: var(--blanc)!important; }
.melo_rep a.tag:hover{
	opacity: 0.5;
}
.melo_rep .tag_date{
	display: inline-block;
	color: var(--violet_dark);
	font-size: 9px;
	line-height: 20px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
	padding: 0px 8px;
	border: 1px solid var(--violet_dark);
	border-radius: 4px;
}
.melo_rep .tag_date.event{
	color: var(--min);
	border: 1px solid var(--min);
}
.melo_rep .tag_date.himaki{
	color: var(--hima);
	border: 1px solid var(--hima);
}
.melo_rep .tag_date.revolution{
	color: var(--aki);
	border: 1px solid var(--aki);
}
.melo_rep d4{
	display: inline-block;
	color: var(--couleur);
	font-size: 9px;
	line-height: 16px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
	padding: 0px;
	background-color: transparent;
	box-shadow: none;
}
.melo_rep p a{ 
	color: var(--violet_dark); 
	text-decoration: none;
	font-size: 9px;
	line-height: 16px;
	font-weight: 600;
	letter-spacing: 0.5px;
	text-transform: uppercase;
	transition: var(--transi);
}
.melo_rep p a:hover{ color: var(--gris); }

.melo_rep i.disclaimer{
	display: block;
	color: var(--gris);
	font-style: normal;
	font-size: 10px;
	line-height: 15px;
	margin-bottom: 8px;
}
.melo_rep i.disclaimer br{ display: block; }
i.disclaimer d4{ color: var(--tx_content); }

.melo_rep haiku{
	color: var(--violet_dark); 
	font-family: 'Kiwi Maru';
	writing-mode: vertical-rl; 
	text-orientation: upright; 
	font-size: 9px; 
	text-align: left;
	line-height: 18px;
}
.melo_rep haiku br{ display: block; }

.melo_rep div dl.codebox,
.melo_rep dt.spoiler_title:after,
.melo_rep .spoiler_content.hidden:before{
	background-color: var(--neutral_2);
}

/* ------ BLOCKS STYLES ------ */
.bg_dark{ background-color: var(--neutral_1); }

/* --- HEADER --- */
div.rep_header{
	display: flex;
	justify-items: stretch;
	background-color: var(--neutral_1);
	padding: 24px;
	flex-direction: column;
	gap: 8px;
}
div.rep_subheader{
	display: grid;
	justify-items: stretch;
	grid-template-columns: max-content auto;
	grid-column-gap: 16px;
	align-items: center;
}
div.rep_subheader.three{ grid-template-columns: max-content auto max-content!important; }
div.rep_subheader > span,
div.rep_subheader > a{
	font-size: 9px;
	font-weight: 600;
	color: var(--violet_dark);
	text-transform: uppercase;
	letter-spacing: 0.5px;
	text-decoration: none;
	opacity: 1;
	transition: var(--transi);
}
div.rep_subheader > a:hover{ opacity: 0.5; }
div.rep_subheader > a ion-icon { --ionicon-stroke-width: 56px; }
div.rep_subheader > span.spacer{
	height: 1px;
	background-color: rgba(var(--co2_rgb),0.5);
	opacity: 0.5;
	width: 100%;
}
div.rep_subheader r1{ color: var(--violet_dark)!important; }

div.rep_subtitle{
	color: var(--violet_dark);
	font-size: 10px;
	font-weight: normal;
	text-transform: uppercase;
	letter-spacing: 0.5px;
	line-height: 24px;

	display: grid;
	grid-template-columns: repeat(3, max-content 1px);
	grid-column-gap: 16px;
	align-items: center;
}
span.spacer_vert{
	display: inline-block;
	width: 1px;
	background-color: rgba(var(--co2_rgb),0.5);
	opacity: 0.5;
	height: 100%;
}

img.rep_header_img{
	width: 100%;
}

/* --- ICON HOUSE --- */
span.rep_maison{
	width: 48px;
	height: 48px;
	text-align: center;
	display: grid;
	align-items: center;
	color: white;
	border-radius: 24px;
	padding: 16px;
	position: absolute;
	top: 130px;
	right: 24px;
	background-color: var(--couleur);
}
span.rep_maison ion-icon{
	font-size: 24px;
	position: absolute;
	left: 12px;
}


/* --- BLOCK TAGS --- */
div.rep_block_tags{
	display: grid;
	justify-items: stretch;
	grid-template-columns: repeat(5, max-content);
	padding: 24px;
	grid-column-gap: 8px;
}
div.rep_block_tags.keywords{
    display: flex!important;
    align-items: center;
    justify-items: center;
    justify-content: center;
    padding: 24px;
    grid-row-gap: 8px;
    grid-column-gap: 8px;
    flex-wrap: wrap;
    text-align: center;
}
div.rep_block_tags.rows{
	display: grid;
	grid-template-rows: max-content;
	padding: 24px;
	grid-row-gap: 8px;
	grid-template-columns: 1fr!important;
	grid-column-gap: 0px!important;
}
div.rep_block_tags.rows span.astro{
	text-align: center;
	justify-items: stretch;
	font-size: 9px;
	font-weight: 600;
	color: var(--violet_dark);
	text-transform: uppercase;
	letter-spacing: 0.5px;
}
div.rep_block_tags.rows span.astro br{ display: block; }
div.rep_block_tags div.rep_tags{
	display: grid;
	grid-template-columns: repeat(5, max-content);
	grid-column-gap: 8px;
	justify-content: center;
}

/* --- BLOCK TEXT --- */
div.rep_block_text{
	display: grid;
	justify-items: stretch;
	grid-row-gap: 8px;
	padding: 24px;
}
div.text_links{
	display: grid;
	grid-template-columns: repeat(5, max-content);
    grid-column-gap: 16px;
	margin: 4px 0px;
}
/* VARIANTE 2 COLONNES */
div.column2{
	display: grid;
	justify-items: stretch;
	grid-column-gap: 24px;
	grid-template-columns: 1fr 1fr;
	grid-row-gap: 24px;
	width: 100%;
	margin: 0!important;
}
div.column2 .col{
	display: grid;
	justify-items: stretch;
	grid-auto-rows: min-content;
	grid-template-rows: min-content;
	justify-content: start;
	grid-row-gap: 8px;
	grid-auto-columns: 100%;
}
div.column2 .col img{
	width: 100%;
	background-color: var(--neutral_1);
	border-radius: 4px;
}
div.column2 .col p,
div.column2 .col ul{
	max-width: 100%;
	margin: 0!important;
}
div.column2 .col p br,
div.column2 .col ul li br{ display: block; }
/* VARIANTE ICONES */
div.icons{
	display: grid;
	justify-items: stretch;
	grid-column-gap: 24px;
}
div.icons.left{ grid-template-columns: 88px auto; }
div.icons.right{ grid-template-columns: auto 88px; }
div.icons .col{
	display: grid;
	justify-items: stretch;
	grid-auto-rows: min-content;
	grid-template-rows: min-content;
	justify-content: start;
	grid-row-gap: 8px;
}
div.icons .col br{ display: block; }
div.icons.left .col:first-child,
div.icons.right .col:last-child{
	grid-row-gap: 24px;
}
div.icons .col img{
	width: 88px;
	background-color: var(--neutral_1);
	filter: grayscale(100%);
	transition: var(--transi);
	border-radius: 4px;
}
div.icons .col img:hover{ filter: grayscale(0%); }

/* --- BLOCK LIENS & OBJETS --- */
div.rep_liens{
	display: grid;
	justify-items: stretch;
	grid-auto-rows: min-content;
	grid-template-rows: min-content;
	grid-row-gap: 16px;
	padding: 24px;
}
div.rep_liens div.rep_liens_item{
	display: grid;
	justify-items: stretch;
	grid-template-columns: 1fr;
	grid-auto-rows: min-content;
	grid-template-rows: min-content;
	grid-row-gap: 0px;
	border-radius: 4px;
	overflow: hidden;
}
div.rep_liens div.rep_liens_item img{
	width: 100%;
	background-color: var(--cat_50);
}
div.rep_liens div.rep_liens_item.objet img{
	filter: grayscale(100%);
	transition: var(--transi);
	background-color: var(--neutral_1);
}
div.rep_liens div.rep_liens_item.objet img:hover{ filter: grayscale(0%); }


div.rep_liens_item div.lien_nom{
	display: grid;
	grid-template-columns: auto min-content;
	grid-column-gap: 0px;
	background-color: var(--bg_topics);
	padding: 0px;

	line-height: 24px;
	color: var(--violet_dark);
}


div.rep_liens_item div.lien_nom span:first-child{
	font-family: var(--special-font);
	font-size: 14px;
	display: inline-block;
	padding: 4px 8px;
}
div.rep_liens_item div.lien_nom span:nth-child(2),
div.rep_liens_item div.lien_nom a{
	display: inline-block;
	padding: 4px 12px;
	color: var(--blanc)!important;
	font-size: 9px;
	letter-spacing: 0.5px;
	font-weight: 600;
	text-transform: uppercase;
	text-decoration: none;
	transition: var(--transi);
	width: max-content;
}
div.rep_liens_item div.lien_nom span:nth-child(2){ background-color: var(--gris_rgb); }
div.rep_liens_item div.lien_nom a{ background-color: var(--couleur); }
div.rep_liens_item div.lien_nom a:hover{ background-color: var(--co2); }

div.rep_liens_item div.lien_titre{
	padding: 4px 8px;
	line-height: 16px;
	color: var(--tx_content);
	font-size: 9px;
	letter-spacing: 0.5px;
	font-weight: 600;
	text-transform: uppercase;
}

div.rep_liens_item div.lien_desc{
	padding: 4px 8px;
	background-color: var(--neutral_1);
	color: var(--tx_content);
	line-height: 16px;
	font-size: 11px;
	height: auto;
	max-height: 100px;
	overflow-y: auto;
}
div.rep_liens_item div.lien_desc br{ display: block; }

div.rep_liens_item div.lien_desc img.emojione{
	display: inline-block;
	height: 12px;
	width: auto;
	background: transparent!important;
}

/* --- BLOCK TABLE DES MATIERES --- */
div.rep_menu{
	display: grid;
	justify-items: stretch;
	grid-row-gap: 8px;
	padding: 24px;
}
.rep_menu > div.rep_menu_content{
	display: grid;
	justify-items: stretch;
	grid-row-gap: 1px;
	background-color: rgba(var(--violet_dark_rgb),0.05);
	border-radius: 4px;
    overflow: hidden;
}
/* LIENS TABLE DES MATIERES */
div.rep_menu_content > a.link_menu{
	display: grid;
	grid-template-columns: 24px max-content auto;
	grid-column-gap: 8px;
	background-color: var(--neutral_1);
	padding: 8px;
	align-items: center;

	color: var(--tx_content);
	font-size: 9px;
	text-transform: uppercase;
	letter-spacing: 0.5px;
	font-weight: 600;
	line-height: 16px;
	text-decoration: none;
	transition: var(--transi);
}
a.link_menu span:first-child{
	font-family: var(--secondary-font);
	font-style: italic;
	color: var(--co2);
	font-size: 14px;
	letter-spacing: 1px;
	text-align: right;
	transition: var(--transi);
}
a.link_menu span.spacer{
	height: 1px;
	background-color: rgba(var(--co2_rgb),0.5);
	opacity: 0.5;
	width: 16px;
	transition: var(--transi);
}
a.link_menu > span{
	position: relative;
	left: 0px;
	transition: var(--transi);
	color: var(--violet_dark);
}
a.link_menu:hover{ color: var(--violet_dark)!important; }
a.link_menu:hover > span{ position: relative; left: 16px; }
a.link_menu:hover span:first-child{ color: var(--co1)!important;}
a.link_menu:hover span.spacer{ width: 32px; }

/* --- BLOCK AESTHETIC --- */
img.rep_aes_img, iframe.nb{
	width: 100%;
}

/* --- BLOCK CHRONO --- */
div.rep_chrono{
	display: grid;
	justify-items: stretch;
	grid-row-gap: 24px;
	padding: 24px;
}
div.chrono_item{
	display: grid;
	justify-items: stretch;
	grid-template-columns: 96px 1px auto;
	grid-column-gap: 16px;
}
div.rep_chrono_date{
	text-align: center;
	font-size: 9px;
	line-height: 24px;
	letter-spacing: 0.5px;
	font-weight: 600;
	text-transform: uppercase;
	color: var(--violet_dark);
}
div.rep_chrono_date br{ display: block; }
div.chrono_content{
	display: grid;
	grid-row-gap: 4px;
}
div.chrono_content div.chrono_tags{
	display: grid;
	grid-column-gap: 8px;
	grid-template-columns: repeat(5, max-content);
	margin-top: 8px;
}
div.chrono_content div.chrono_tags:first-child {
    margin-top: 0px!important;
}

div.chrono_content span.chrono_titre{
	font-size: 9px;
	line-height: 24px;
	letter-spacing: 0.5px;
	font-weight: 600;
	text-transform: uppercase;
	color: var(--couleur);
}
div.chrono_content .simple{ color: var(--violet_dark)!important; }

div.chrono_content a.link_icon{
	color: var(--couleur)!important;
	margin: 0px;
	opacity: 1;
	transition: var(--transi)
}
div.chrono_content div.chrono_item_desc{
	padding: 4px 8px;
	background-color: var(--neutral_1);
	color: rgba(var(--violet_dark_rgb),0.9);
	line-height: 16px;
	font-size: 11px;
	height: auto;
	max-height: 64px;
	overflow-y: auto;
	margin-bottom: 8px;
	border-radius: 4px;
}
div.chrono_content div.chrono_item_desc::-webkit-scrollbar-thumb{ background-color: var(--co2)!important; }
div.chrono_content div.chrono_item_desc br{ display: block; }
div.chrono_content div.chrono_item_desc:last-child{ margin-bottom: 0px!important; }
div.chrono_content div.chrono_item_desc d4{
	color: var(--violet_dark);
}

span.chrono_sms{
	font-size: 9px;
	line-height: 24px;
	letter-spacing: 0.5px;
	font-weight: 600;
	text-transform: uppercase;
	color: var(--violet_dark);
}
span.chrono_sms a.link_icon{
	margin: 0px!important;
}
div.chrono_content a.link_icon:hover{
	color: var(--co1);
}

div.rep_spoiler{
	padding: 0px 24px 24px 24px;
}
div.rep_spoiler .spoiler>dt>.genmed{
	font-size: 9px;
	line-height: 24px;
	letter-spacing: 0.5px;
	font-weight: 600;
	text-transform: uppercase;
	color: var(--tx_content);
}
div.rep_spoiler .codebox{
	width: 100%;
}
div.rep_spoiler .codebox dd{
	background-color: var(--bg_topics);
	border-left: 0px solid;
}

div.rep_spoiler_content{
	position: relative;
	height: 380px;
}
div.rep_spoiler_content img{
	position: absolute;
	width: 100%;
	transition: var(--transi);
}
div.rep_spoiler_content img.jour{ 
	opacity: 1;
	transition: var(--transi);
}
div.rep_spoiler_content img.jour:hover{
	opacity: 0;
}



.notes{
	font-family: 'Rock Salt', cursive!important;
    font-size: 10px!important;
    line-height: 20px!important;
    background-color: transparent;
    background-size: 100% 20px;
    background-repeat: repeat-y;
    background-image: linear-gradient(to bottom, rgba(var(--violet_dark_rgb),0.2) 1px, transparent 1px);
    background-position: 0%;
    background-position: 0px -1px;
    padding: 0px 8px 16px 8px;
}
.notes br{ display: block; }
mark{
	display: inline-block;
    background: transparent!important;
    position: relative;
    z-index: 2!important;
    color: var(--tx_content)!important;
}
mark:before{
	color: var(--violet_dark);
    margin: 0 -4px;
    padding: 1px 4px;
    border-radius: 0.8em 0.3em;
    background: transparent;
    background-image: linear-gradient( to right, var(--couleur_1), var(--couleur_7) 4%, var(--couleur_3) );
    -webkit-box-decoration-break: clone;
    box-decoration-break: clone;
    display: inline-block;
    content: " ";
    height: 10px;
    width: 100%;
    position: absolute;
    top: 7px;
    z-index: 0!important;
    opacity: 0.7;
}

/* --- RESPONSIVE --- */
@media only screen and (max-width: 414px) {
	div.melo_rep, 
	div.rep_header,
	div.rep_block_tags,
	div.rep_block_text,
	div.rep_menu{
		width: 340px;
		max-width: 340px;

	}

	div.rep_block_tags{
		display: grid;
    	grid-auto-columns: min;
    	padding: 24px;
    	grid-column-gap: 8px;
    	grid-row-gap: 8px;
	}
	div.rep_block_tags div.rep_tags{
		grid-template-columns: 1fr;
    	grid-row-gap: 8px;
	}

	div.column2{
		grid-template-columns: 1fr;
    	grid-auto-rows: max-content;
    	grid-row-gap: 24px;
	}
}


div.rep_liens_item div.lien_nom{
	position: relative;
    top: -32px;
    background: 0px;
    color: white;
    margin-bottom: -32px;
}
div.rep_liens_item div.lien_nom span:not(.pnj){
	font-family: var(--main-font);
    text-transform: uppercase;
    font-size: 9px;
    letter-spacing: 1px;
    font-weight: 600;
    display: inline-block;
    background: var(--co2);
    width: fit-content;
    line-height: 16px;
    padding: 0px 4px;
    height: fit-content;
    border-radius: 4px;
    margin: 8px;
}
div.rep_liens_item div.lien_nom span.pnj{
    font-family: var(--main-font);
    text-transform: uppercase;
    font-size: 9px;
    letter-spacing: 1px;
    font-weight: 600;
    display: inline-block;
    background: var(--neutral_1);
    color: var(--tx_content)!important;
    line-height: 16px;
    padding: 0px 4px;
    height: fit-content;
    border-radius: 4px;
    margin: 8px;
}
div.rep_liens_item div.lien_nom a{
    font-family: var(--main-font);
    text-transform: uppercase;
    font-size: 9px;
    letter-spacing: 1px;
    font-weight: 600;
    display: inline-block;
    background: white;
    color: var(--co2)!important;
    line-height: 16px;
    padding: 0px 4px;
    height: fit-content;
    border-radius: 4px;
    margin: 8px;
	transition: var(--transi);
}
div.rep_liens_item div.lien_nom a:hover{
	background: var(--co2);
    color: white!important;
}
div.rep_liens_item div.lien_titre{
	background-color: var(--cat_50);
}

/* --- BLOCK ESSENTIALS --- */
.essentials{ 
	position: relative; 
	width: 100%; 
	height: 240px!important; 
} 
.essentials br{ display: none!important; } 
.essentials > img{ 
	width: 100%; 
	height: 100%!important; 
	object-fit: cover; 
	position: absolute; 
	top: 0px; 
	left: 0px; 
	z-index: 1; 
} 
.essentials > .legende{ 
	width: 100%; 
	height: 100%!important; 
	position: absolute; 
	top: 0px; 
	left: 0px; 
	z-index: 2; 
	background: #00000011;
} 

.legende_item{ 
	position: absolute; 
	z-index: 3; 
	width: 16px; 
	height: 16px;
} 
.legende_item span.point{ 
	width: 8px; 
	height: 8px; 
	background: white; 
	border: 1px solid white; 
	transition: var(--transi); 
	border-radius: 50%; 
	content: " "; 
	display: block; 
	animation: pulsejdb 2s infinite;
}

.legende_item span.point:before{ 
	width: 14px; 
	height: 14px; 
	background: transparent; 
	border: 1px solid var(--co2); 
	border-radius: 50%; 
	content: " "; 
	display: block; 
	position: relative; 
	top: -4px; 
	left: -4px; 
	opacity: 1; 
	transition: var(--transi);
} 
.legende_item:hover span.point:before{ opacity: 0; }

.legende_item .legende_text{
	opacity: 0; 
	transform: scale(0%); 
	position: relative; 
	width: max-content; 
	height: auto; 
	display: block; 
	transition: var(--transi);
} 
.legende_item:hover .legende_text{
	opacity: 1; 
	transform: scale(100%);
} 
.legende_item.top .legende_text{ bottom: 28px; }
.legende_item.bottom .legende_text{top: 0px;}
.legende_item.right .legende_text{left: 6px;}
.legende_item.left .legende_text{right: calc(200% + 20px);}
.legende_item.top.right .legende_text{transform-origin: bottom left;}
.legende_item.bottom.right .legende_text{transform-origin: top left;}
.legende_item.bottom.left .legende_text{transform-origin: top right;}
.legende_item.top.left .legende_text{transform-origin: bottom right;}

.rep_top{ padding: 8px; }


/* ----  CAMERA ROLL ---- */

div.rep_roll{
	margin: auto; 
	position: relative; 
	width: 338px; 
	height: 667px; 
	overflow: auto; 
	border-radius: 16px; 
	background: var(--neutral_1);
} 
div.rep_roll br{ display: none; } 
div.rep_roll::-webkit-scrollbar{ width: 0px; } 
div.roll_header{ 
	z-index: 2; 
	position: sticky; 
	top: 0px; 
	left: 0px; 
	width: 100%; 
	padding: 24px 16px; 
	color: white; 
	background: linear-gradient(180deg,rgba(0,0,0,0.5) 30%,rgba(0,0,0,0)); 
	font-size: 16px; 
	font-weight:600;
} 
div.roll_grid{ 
	position: relative; 
	top: -68px; 
	margin-bottom: -68px; 
	z-index: 1; 
	display: grid; 
	grid-template-columns: 1fr 1fr 1fr;
	grid-column-gap: 1px; 
	align-items: flex-start;
} 
div.roll_col{ 
	display: grid; 
	grid-row-gap: 1px; 
	align-items: flex-start; 
	height: 100%;
} 
div.roll_grid img{ 
	width: 100%; 
	height: 100%;
	object-fit: cover;
}

